Support » Plugin: WooCommerce Amazon Pay » woocommerce v4 compatibility

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author James Rodger

    (@jamesrrodger)

    Hi!

    We have completed our testing with WooCommerce 4. Unfortunately, we found a few small issues that we need to address before we can say it’s fully compatible.

    The next release of the Amazon Pay plugin will contain these fixes, hopefully in the next few weeks.

    Any update on release date?

    I am getting a blank woocommerce error at checkout when I test this in sandbox mode. When I click the “place order” button, it scrolls up to the blank woocommerce error and will not work. Is this a woocommerce 4 problem as well?

    <ErrorResponse xmlns=”http://mws.amazonservices.com/schema/OffAmazonPayments/2013-01-01″&gt;
    <Error>
    <Type>Sender</Type>
    InvalidOrderReferenceId
    <Message>The OrderReferenceId S00-0000000-0000000 is invalid.</Message>
    </Error>
    <RequestId>57b58f3b-44f5-494e-8b8b-e7a96a345401</RequestId>
    </ErrorResponse>

    Plugin Author James Rodger

    (@jamesrrodger)

    Version 1.12.0 was just released which has been tested up to WooCommerce 4.0.

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.